angular.module('starter')

.controller('ArchiveCtrl', function($scope, $rootScope, $window, $http, $LoadingSpinner, $state, $PrintAlert, $cordovaGoogleAnalytics, $stateParams) {

  //Init data
  $scope.data = {emissions: []};

  //Init offset & limit
  $scope.offset_videos = 0;
  $scope.limit = 12;

  $rootScope._InitEmissions = function() {
    $scope.See_More_Videos(0,12);
  }

  $scope.Detail = function(item) {
    item.type = 2;
    $rootScope.item = item;
    // $state.go('app.media-detail');
    $rootScope.playOnYoutube(item.video_id);
  }

	$rootScope._InitArchive = function() {
    $scope.See_More_Videos($scope.offset_videos,12);
	}
	
  /*$scope.ShowArchive = function() {
    $state.go('app.menu.archive');
    //alert('ShowArchive');
  }*/

  // $scope.$on("$ionicView.enter", function() {
    //Edit status bar color
    //if (window.StatusBar) window.StatusBar.backgroundColorByHexString('#e06404');
  // });

  //load more videos
  $scope.See_More_Videos = function(offset, limit) {
    // $LoadingSpinner.Show();
    var req = {
      method: "GET",
      url: $rootScope.HOST + "Emissions/LoadMoreArchives.php",
      params: { offset: offset, limit: limit },
    };
    $http(req).then(function(res) {
      // console.log(res);
        if(res.data){
          // console.log($scope.data.emissions);
          if(res.data.emissions.length > 0){
            $scope.data.emissions = $scope.data.emissions.concat(res.data.emissions);
           //increase offset
           $scope.offset_videos = $scope.offset_videos + res.data.emissions.length;
          }
          else $scope.HideSpinner = true;
           
        }
       
       //broadcast refresh end
        $scope.$broadcast('scroll.refreshComplete');
        $scope.$broadcast('scroll.infiniteScrollComplete');
				//hide spinner
				// $LoadingSpinner.Hide();

      },
      function(error) {
        console.log("Error Occured: ");
        console.log(error);
        //broadcast refresh end
        $scope.$broadcast('scroll.refreshComplete');
        $scope.$broadcast('scroll.infiniteScrollComplete');
				//hide spinner
				// $LoadingSpinner.Hide();
      });
  }

  $scope.InitVideosAds = function () {
		//check if home tags are already displayed
		if (window['videos_tags']) window['googletag'].pubads().refresh([window['gptAdSlots'][3]]);
		else {
		  window['videos_tags'] = true;
		  window['googletag'].cmd.push(function () {
			window['googletag'].display('div-gpt-ad-1515432416448-3');
		  });
		}
	  }
	
	  //$scope.InitVideosAds();

});
