angular.module('starter')

	.controller('ButeurCtrl', function ($scope, $rootScope, $LoadingSpinner, $http, $state) {

		$scope.$on('$ionicView.beforeEnter', function (event, viewData) {
			viewData.enableBack = false;
			$rootScope._InitButeur();
		});

		//Check if the previous saison is requested
		$scope.CheckPreviousSaison = function () {
			if ($state.current.name.includes("app.menu")) {
				$rootScope.saisonId = null;
			}
			else {
				// $rootScope.saisonId = $rootScope.oldSaison;
			}
		}

		$scope.CheckPreviousSaison();

		$scope.goBacktoCurrentsaison = function () {
			$rootScope.saisonEnd = null;
			$rootScope.saisonStart = null;
			$state.go('app.menu.journee', null, { reload: true });
		}


		$rootScope._InitButeur = function () {
			$scope.data = {};
			params = {};
			//Check if saison id is available
			if ($rootScope.saisonId) params.saisonId = $rootScope.saisonId;

			$LoadingSpinner.Show();
			//$rootScope.CheckGanal( function(){$cordovaGoogleAnalytics.trackView('Buteur')} );
			var req = {
				method: "GET",
				url: $rootScope.HOST + "Buteur/",
				params: params
			};
			$http(req).then(function (res) {
				$scope.data = res.data;
				//broadcast refresh end
				$scope.$broadcast('scroll.refreshComplete');
				//hide spinner
				$LoadingSpinner.Hide();
				// firebase stats
				if (window.FirebasePlugin)
					window.FirebasePlugin.setScreenName("Buteur");
			},
				function (error) {
					console.log("Error Occured: " + error);
					//broadcast refresh end
					$scope.$broadcast('scroll.refreshComplete');
					//hide spinner
					$LoadingSpinner.Hide();
				});
		}


		$scope.Search = function (key) {
			$rootScope.keyword = key;
			$state.go("app.search");
		}
	});
