angular.module('starter')

.controller('DirectCtrl', function($scope, $rootScope, $http, $window, $LoadingSpinner, $state, $PrintAlert, $timeout, $cordovaGoogleAnalytics, $ionicPlatform) {

	// clean this code
	$scope.options = {
		initialSlide: $rootScope.live_id
	};

	//  $scope.onSlideChanged = function(index){
	// 		console.log('onSlideChanged');
	// 		$scope.clapprLives.forEach(function(live) {
	// 		    if(live.isPlaying()) {
	// 		    	console.log("PLAY Pause: "+live);
	// 		    	live.pause();
	// 		    }
	// 		});
	// 		console.log(index);
	// 		$scope.clapprLives[index].play();
	// 		console.log("PLAY PLAYER: "+index);
	// 		$rootScope.live_id = index;
	//   }

	$scope.$on('$ionicView.beforeLeave', function() {
		console.log('beforeLeave');
		$scope.clapprLives.forEach(function(live) {
			if (live != null && live != undefined) live.destroy();
		});
		$rootScope.live_id = null;
		$rootScope.actual_live_id = null;
		//Leave landsape mode
		StatusBar.show();
		$("#main_tab").css("display", "block");
		$("#elbotola_tabs .tab-nav.tabs").css("z-index", "10");
		$("#LiveContent").addClass("has-header");
		//screen.lockOrientation('portrait');
	});


	_LandScapeMode = function() {
		if ($state.current.name == "app.direct") {
			$("#main_tab").css("display", "none");
			$("#elbotola_tabs .tab-nav.tabs").css("z-index", "1");
			$("#LiveContent").removeClass("has-tabs-top").removeClass("has-header");
		}
	}
	_PortraitMode = function() {
		if ($state.current.name == "app.direct") {
			$("#main_tab").css("display", "block");
			$("#elbotola_tabs .tab-nav.tabs").css("z-index", "10");
			$("#LiveContent").addClass("has-header");
		}
	}
	_doOnOrientationChange = function() {
		switch ($window.screen.orientation.angle) {
			case -90:
			case 90:
				_LandScapeMode();
				break;
			default:
				_PortraitMode();
				break;
		}
	}
	$window.addEventListener('orientationchange', _doOnOrientationChange);

	$rootScope._InitLive = function() {

		// $scope.options = {
		// 	        		initialSlide: 2
		// 	        		};
		console.log($rootScope.live_id);
		//Get width & height
		$scope.width = $window.innerWidth;
		$scope.height = $window.innerHeight - 30;
		//Get Available Lives
		$scope.clapprLives = [];
		$scope.data = {};
		$LoadingSpinner.Show();
		//$rootScope.CheckGanal( function(){$cordovaGoogleAnalytics.trackView('Live')} );
		var req = {
			method: "GET",
			url: $rootScope.HOST + "Lives/index.php?id=" + $rootScope.live_id
		};
		$http(req).then(function(res) {
			$scope.data = res.data;
			console.log(res.data);
			if ($rootScope.devicePlatform == 'iOS'){
				$rootScope.history.back();
				var videoUrl = ($scope.data.lives.length>=0)?$scope.data.lives[0].url:'';
	  			window.plugins.streamingMedia.playVideo(videoUrl);	
			}else{
				$scope.loadPlayers();
			}

			$LoadingSpinner.Hide();
			// firebase stats
			if (window.FirebasePlugin)
				window.FirebasePlugin.setScreenName("Live");
		},
		function(error) {
			console.log("Error Occured: " + error);
			$LoadingSpinner.Hide();
		});
	}

	$scope.loadPlayers = function() {
		console.log('loadPlayers');
		var counter = 0;
		angular.forEach($scope.data.lives, function(live) {
			// 		if( live.id == $rootScope.live_id) $scope.currentIndex = 2;
			// 		$scope.currentIndex = 2;
			// $scope.options = {
			//    			initialSlide: 2
			//    		};
			console.log(live.url);
			console.log(($rootScope.live_id == counter));
			$scope.clapprLives.push(new Clappr.Player({
				source: live.url,
				parentId: "#Live",
				actualLiveTime: true,
				autoPlay: true,
				plugins: [Clappr.HLS, LevelSelector],
				//chromeless: true ,
				mediacontrol: {
					seekEnabled: true,
				},

				levelSelectorConfig: {
					title: 'Quality',
					labels: {
						2: 'High', // 500kbps
						1: 'Mid', // 240kbps
						0: 'Low', // 120kbps
					}
				},
				width: "100%",
				height: "100%"

			}));
			counter++;
		});

		// console.log($scope.clapprLives);
		//$scope.clapprLives[$scope.clapprLives.length - 1].play();

		_doOnOrientationChange();
		//$LoadingSpinner.Hide();
	};

	$scope.$on('$ionicView.beforeEnter', function(event, viewData) {
		$rootScope.history.add($rootScope.$previousState, $state.current);
		viewData.enableBack = true;
		// if(window.FirebasePlugin)
		// 	window.FirebasePlugin.logEvent("live_view", {content_type: "page_view", emission_id: $rootScope.item.id});
		
		
		// prevent clapper testing on iOS 
		if ($rootScope.devicePlatform == 'iOS'){
			$scope._InitLive();
			return; // 
		}

		/*******Test Vast plugin**********/
		$scope.clapprLives = [];
		$scope.clapprLives.push(new Clappr.Player({
			source: "http://cdnamd-hls-globecast.akamaized.net/live/ramdisk/arriadia/hls_snrt/index.m3u8",
			parentId: "#Live",
			actualLiveTime: true,
			autoPlay: false,
			plugins: [Clappr.HLS, LevelSelector,
				ClapprGoogleImaHtml5PrerollPlugin
				],
			//chromeless: true ,
			mediacontrol: {
				seekEnabled: true,
			},
			levelSelectorConfig: {
				title: 'Quality',
				labels: {
					2: 'High', // 500kbps
					1: 'Mid', // 240kbps
					0: 'Low', // 120kbps
				}
			},
			googleImaHtml5PrerollPlugin: {
				tag: 'https://pubads.g.doubleclick.net/gampad/ads?sz=640x480&iu=/124319096/external/single_ad_samples&ciu_szs=300x250&impl=s&gdfp_req=1&env=vp&output=vast&unviewed_position_start=1&cust_params=deployment%3Ddevsite%26sample_ct%3Dskippablelinear&correlator=',
				autostart: false, // Default is true
				// events: { /* Event map */ },
				// imaLoadTimeout: 3000, // Default is 6000 milliseconds
			  },
			width: "100%",
			height: "100%"

		}));
		// initAds("https://s3-eu-west-1.amazonaws.com/vidsens-front/AdTags/Banner_demo.xml", null);
		//unlock orientation
		// locOrientation = screen.unlockOrientation || screen.mozUnlockOrientation || screen.msUnlockOrientation || screen.orientation.unlock;
		screen.orientation.unlock();
		// if(screen.lockOrientation) screen.lockOrientation('landscape');

	});


	$scope.$on('$ionicView.afterEnter', function() {
		// window.setTimeout(function () {
		// 			$('ion-scroll').hide(); },
		// 		4000);
		// if(typeof StatusBar != "undefined") StatusBar.hide();

		// $("#LiveContent").on('click', function(){
		// 	$('ion-scroll').show();
		// 		window.setTimeout(function () {
		// 			// if($scope.clapprLives[0].isPlaying()) $('ion-scroll').hide();
		// 		},
		// 		2000);
		// });
	});

	// $ionicPlatform.registerBackButtonAction(function (event) {
	//  		navigator.app.backHistory();
	//   }, 100);

})

.directive('repeatDone', function() {
	return function(scope, element, attrs) {
		if (scope.$last) { // all are rendered
			setTimeout(function() {
				scope.$eval(attrs.repeatDone);
			}, 50);

		}
	}
});