angular.module('starter')

.controller('DownloadsCtrl', function($scope, $rootScope, $LoadingSpinner, $cordovaSQLite, $localStorage, $state, $PrintAlert) {
    
	$scope.$on('$ionicView.beforeEnter', function() {
		 _init();
	});

	$scope.data = {};
	function _init(){
		$LoadingSpinner.Show();
		var query = 'SELECT * FROM medias where status = 1';
			 $cordovaSQLite.execute(db, query).then(function(result) {
				if (result.rows.length > 0) {
					$scope.data.allDownloaded = {};
					for(i = 0; i<result.rows.length; i++) $scope.data.allDownloaded[i] = result.rows.item(i);
						$LoadingSpinner.Hide();
                    }
				else{
					console.log("No result");
					$LoadingSpinner.Hide();
				}
			}, function (err) {
				console.log("Slection Error: "+err.message);
				$LoadingSpinner.Hide();
			});
	}

	$scope.DeleteFromDownloaded = function(id) {
		var query = 'DELETE FROM medias WHERE id = ?';
			 $cordovaSQLite.execute(db, query, [id]).then(function(res) {
				 $PrintAlert.Show("Status du media", "Media supprimé avec success!");
				$("#Download_"+id).remove();
			}, function (err) {
				console.log("Deletion Error: "+err.message);
			});
		}
		
	$scope.viewLocalMedia_ChangeView = function(item){
		console.log("Media detail clicked from local downloads!");
		$rootScope.item = item;
		$state.go("app.local-media");
	}
	
//	_init();

});
