angular.module('starter')

  .controller('LangchoiceCtrl', function ($scope, $rootScope, $LoadingSpinner, $http, $state, $cordovaGoogleAnalytics, $timeout, $ionicPlatform, $localStorage, $ionicPopup, $window) {

    //Open lang prompt
    function PromptLangAppPopup() {
      var confirmPopup = $ionicPopup.confirm({
        template: "Veuillez choisir la lange de l'application",
        cancelText: 'العربية',
        okText: 'Français',
        cancelType: 'button-positive',
        okType: 'button-positive',
      });
      confirmPopup.then(function (res) {
        $LoadingSpinner.Show();
        if (res) {
          //Fr selected
          $localStorage.set("isNotdLang", true);
          // $translate.use('fr');
          $rootScope.current_direction = "ltr";
          $rootScope.current_class = "left";
          $rootScope.current_lang = "fr";

          //go to tutorial
          // $state.go('tutorial');
          setTimeout(function () {
            $window.location.href = "#/tutorial";
            $window.location.reload();
          }, 100);
        }
        else {
          //Ar selected
          $localStorage.set("isNotdLang", false);
          // $translate.use('ar');
          $rootScope.current_direction = "rtl";
          $rootScope.current_class = "right";
          $rootScope.current_lang = "ar";

          //we need to reload the page => app direction changed
          //go to tutorial
          // $state.go('tutorial');

          setTimeout(function () {
            $window.location.href = "#/tutorial";
            $window.location.reload();
          }, 100);
        }
      });
    };

    PromptLangAppPopup();

  });
