angular.module('starter')

.controller('MediaDetailCtrl', function($scope, $rootScope, $state, $PrintAlert, $http, $window, $LoadingSpinner, $stateParams, $PrintAlert, $UserAuth, $cordovaSQLite, $cordovaFileTransfer, $cordovaGoogleAnalytics, $sce, $timeout, $ionicModal, $ionicSlideBoxDelegate, $cordovaSocialSharing) {
  $scope.list = [];
  $scope.loadImages = function() {
    $scope.images = [];
    for (var i = 0; i < 4; i++) {
      $scope.images.push({ id: i, src: "http://placehold.it/50x50" });
    }
  }
  $scope.viewMedia = function(item) {
    $rootScope.item = item;
    $state.go('app.media-detail', { id: $rootScope.item.id, type: $rootScope.item.type, program: $rootScope.item.program_id, match: $rootScope.item.match_id});
    // $scope._InitMediaDetail();
  }

  $scope.ViewMatch = function() {
    $state.go('app.match-detail', { id: $scope.data.media.match_id});
  }


  $scope.getImgVid = function(data) {
    $scope.openModal();
    /*if (data.type == "video") {
      $rootScope.playOnYoutube(data.src);
    }*/
  }

  $scope.playOn = function(data) {
    if (data.type == "video") {
      $rootScope.playOnYoutube(data.src);
    }
  }

  $scope.share_media = function(){
    console.log($scope.data.media);
    $cordovaSocialSharing.share($scope.data.media.title, null, null, "http://botola.snrt.ma/single.php?type=2&id="+$scope.data.media.id);

  }

  // $scope.saveToFavorite = function() {
  //   if ($scope.startDisplay == "none") {
  //     item = $scope.data.media;
  //     var query = 'INSERT INTO medias (media_id, title, description, media_type, media, thumb, date, tags, views, likes, shares, downloads, program_id, type, status ) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)';
  //     $cordovaSQLite.execute(db, query, [item.id, item.title, item.description, item.media_type, item.media, item.thumb, item.date, item.tags, item.views, item.likes, item.shares, item.downloads, item.program_id, $rootScope.item.type, 0])
  //       .then(function(result) {
  //         // Popup Media Success
  //         $PrintAlert.Show("Status", "Media enregistré avec success!");
  //         $scope.startDisplay = "initial";
  //       }, function(error) {
  //         // Popup Download File Failed
  //         $PrintAlert.Show("Saving Status", 'Saving Failed! Sorry, something get wrong! ' + error.message);
  //       })
  //   }
  // }

  // _CheckFavorites = function() {
  //   var query = 'SELECT id FROM medias WHERE media_id = ? AND type = ? AND status = 0';
  //   $cordovaSQLite.execute(db, query, [$scope.data.media.id, $rootScope.item.type]).then(function(res) {
  //     if (res.rows.length > 0) {
  //       $scope.startDisplay = "initial";
  //       console.log('CheckInFavorite FOUND!! ');
  //     } else {
  //       $scope.startDisplay = "none";
  //     }
  //   }, function(err) {
  //     console.log("CheckInFavorite Slection Error: " + err.message);
  //   });
  // }

  _InitIHM = function() {
    if ($scope.data.media.type != 1 || $scope.data.media.media_type == 'video') {
      ///var ll =$sce.trustAsResourceUrl("http://d2wihmttj0dgzc.cloudfront.net/videos/1477421486-480.MP4");
      //console.log(ll.toString());
    }
  }

  $scope._InitMediaDetail = function() {
    //$rootScope.CheckGanal(function() { $cordovaGoogleAnalytics.trackView('Media Detail') });
    // firebase stats
    if(window.FirebasePlugin) window.FirebasePlugin.setScreenName("Media_Details");

    //init route paramters
    if ($stateParams.type == 2) {
      if ($stateParams.id) params = { type: 2, id: $stateParams.id, program_id: $stateParams.program, usr_id: $UserAuth.getUserId(), resolution: $window.innerWidth };
      else params = { type: 2, program_id: $stateParams.program, usr_id: $UserAuth.getUserId(), resolution: $window.innerWidth };
    } else if ($stateParams.type == 3) {
      params = { type: 3, id: $stateParams.id, match_id: $stateParams.match, usr_id: $UserAuth.getUserId(), resolution: $window.innerWidth };
    } else {
      params = { type: $stateParams.type, id: $stateParams.id, usr_id: $UserAuth.getUserId(), resolution: $window.innerWidth };
    }
    
    //if ($scope.player != null && $scope.player != undefined) $scope.player.destroy();

    $scope.data = {};
    $scope.loaded = false;
    $LoadingSpinner.Show();
    var req = {
      method: "GET",
      url: $rootScope.HOST + "MediaDetail/",
      params: params,
    };
    console.log('params', params);
    $http(req).then(function(res) {
        $LoadingSpinner.Hide();
        console.log(res);
        //check if media is available
        if(res.data.media){
            $scope.data.comments = {};
            $scope.data = res.data;
            console.log("Media Detail:");
            console.log(res.data);
            // $rootScope.item.id = res.data.media.id;
            $scope.list = [];
            if ($scope.data.media.media_type=='article') {
              $scope.data.media.images = $scope.data.media.images.split(',');
              $scope.data.media.images.forEach(function(i) {
                if(i) $scope.list.push({ src: i, type: 'image' })
              });
            }
            if ($scope.data.media.media_type=='video') {
              //add videos
              $scope.data.media.videos = $scope.data.media.videos.split(',');
              $scope.data.media.videos.forEach(function(i) {
                if(i) $scope.list.push({ src: i, type: 'video' })
              });
              //add images
              first_img = true;
              if($scope.data.media.videos) first_img = false;
              $scope.data.media.images = $scope.data.media.images.split(',');
              $scope.data.media.images.forEach(function(i) {
                //avoid images duplication
                if(i && first_img) $scope.list.push({ src: i, type: 'image' });
                check_img = true;
              });
            }
            console.log("$scope.list",$scope.list);
            // $scope.list = shuffle($scope.list);

            $scope.loaded = true;
        }
          else{

          }
        
      },
      function(error) {
        console.log(error);
        $scope.loaded = true;
        $LoadingSpinner.Hide();
      });
  }

  $scope.$on("$ionicView.beforeEnter", function(event, viewData) {
    // register back view
    $rootScope.history.add($rootScope.$previousState, $state.current);
    viewData.enableBack = true;
    $scope._InitMediaDetail();
  });

  $ionicModal.fromTemplateUrl('image-modal.html', {
    scope: $scope,
    animation: 'slide-in-up'
  }).then(function(modal) {
    $scope.modal = modal;
  });

  var setupSlider = function() {
    //some options to pass to our slider
    $scope.data.sliderOptions = {
      initialSlide: 0,
      direction: 'horizontal', //or vertical
      speed: 300 //0.3s transition
    };

    //create delegate reference to link with slider
    $scope.data.sliderDelegate = null;

    //watch our sliderDelegate reference, and use it when it becomes available
    $scope.$watch('data.sliderDelegate', function(newVal, oldVal) {
      if (newVal != null) {
        $scope.data.sliderDelegate.on('slideChangeEnd', function() {
          $scope.data.currentPage = $scope.data.sliderDelegate.activeIndex;
          //use $scope.$apply() to refresh any content external to the slider
          $scope.$apply();
        });
      }
    });
  };


  $scope.openModal = function() {
    $scope.modal.show();
    setupSlider();
  };

  $scope.closeModal = function() {
    $scope.modal.hide();
  };

  //Cleanup the modal when we're done with it!
  $scope.$on('$destroy', function() {
    $scope.modal.remove();
  });

  // Execute action on hide modal
  $scope.$on('modal.hidden', function() {
    // Execute action
  });

  // Execute action on remove modal
  $scope.$on('modal.removed', function() {
    // Execute action
  });
  $scope.$on('$ionicView.beforeLeave', function() {
  });

  // function shuffle(array) {
  //   var currentIndex = array.length,
  //     temporaryValue, randomIndex;

  //   // While there remain elements to shuffle...
  //   while (0 !== currentIndex) {

  //     // Pick a remaining element...
  //     randomIndex = Math.floor(Math.random() * currentIndex);
  //     currentIndex -= 1;

  //     // And swap it with the current element.
  //     temporaryValue = array[currentIndex];
  //     array[currentIndex] = array[randomIndex];
  //     array[randomIndex] = temporaryValue;
  //   }

  //   return array;
  // }

});
