var onAndroidNotification = function(e) {

    var elem = angular.element(document.querySelector('[ng-app]'));
    var injector = elem.injector();
    var localStorageService = injector.get('$localStorage');
    var httpService = injector.get('$http');
    var stateService = injector.get('$state');
    var rootScope = injector.get('$rootScope');
    // var cordovaDevice = injector.get('$cordovaDevice');
    storedPushNotificationId = localStorageService.get("pushNotificationId", "");
    storedRegisteredAppVersion = localStorageService.get("registeredAppVersion", "");
    storedendpointArn = localStorageService.get("endpointArn", "");
    var shouldRegister = false;

if (storedPushNotificationId == "" || storedendpointArn == "") {
        shouldRegister = true;
      }
      else {
        if (storedRegisteredAppVersion != appVersion) {
          shouldRegister = true;
        }
      }

switch( e.event )
  {
  case 'registered':
    if (e.regid.length > 0 && shouldRegister)
    {
        // console.log("Device not registred");
        // console.info("DeviceID: " + cordovaDevice.getUUID());      
        console.info("Android Registration ID: " + e.regid);      

        var postData = {
          "token": e.regid,
          "platform": "GCM"
        };
        var req = {
          method: "GET",
          url: MHOST+"Notifications/register.php",
          params: {platform: "GCM", token: e.regid}
          // params: {platform: "GCM", token: e.regid, DeviceID: cordovaDevice.getUUID()}
        };

        //Shoot to aws device registration id
        httpService(req).then(function(res){
            console.log(res.data);
            if(res.data.status){
              // localStorageService.set("DeviceID", cordovaDevice.getUUID());
              localStorageService.set("pushNotificationId", e.regid);
              localStorageService.set("registeredAppVersion", appVersion);
              localStorageService.set("endpointArn", res.data.endpointArn);
              localStorageService.set("subscriptionArn", res.data.subscriptionArn);
            }
            
          }, 
        function(error){
          console.log("Error Occured: ");
          console.log(error);
        });
    }
    break;

  case 'message':
    if (e.foreground)
    {
        console.log(e);
       // var elem = angular.element(document.querySelector('[ng-app]'));
       // var injector = elem.injector();
       // var stateService = injector.get('$state');
       // var rootScope = injector.get('$rootScope');
       
       // if(e.payload.action == "app.match-detail.infos"){
       //    console.log(e.payload.obj);
       //    rootScope.match = e.payload.obj;
       //    rootScope.FilesPath = e.payload.add;
       // }

       // stateService.go(e.payload.action);

      // var injector = elem.injector();
      // var ionicPopupService = injector.get('$ionicPopup');

      // var confirmPopup = ionicPopupService.confirm({
      //   title: e.payload.title,
      //   template: e.payload.message
      // });

      // confirmPopup.then(function(res) {
      //   if(res) {
      //     var stateService = injector.get('$state');
      //     stateService.go(e.payload.action);
      //   }
      // });

    }
    else
    { console.log(e.payload);
      
       localStorage['NotifSource'] = 1;

       if(e.payload.action == "app.match-detail.infos"){
          //console.log(e.payload.obj);
          rootScope.match = e.payload.obj;
          rootScope.FilesPath = e.payload.add;
       }
       
       if(e.payload.action == "app.direct"){
        rootScope.live_id = e.payload.obj.id;
        stateService.go(e.payload.action);
       }
       else if(e.payload.action == "app.match-detail.composition"){
        rootScope.match = e.payload.obj;
        rootScope.FilesPath = e.payload.add;
        $state.go('app.match-detail.composition', { id: $rootScope.match.id});
       }

       
    }
    break;

  case 'error':
      console.log('Error');
    break;

  default:
    break;
  }
}