angular.module('starter').controller('SplashCtrl', function ($timeout, $scope, $state, $ionicHistory, $rootScope, $localStorage) {
  $scope.$on('$ionicView.loaded', function () {

    //Init admob
    AdMob = window.AdMob;

    // Reinit history : 
    // NOTE : this is the correct place where to reinit history as the language change provokes window reload and app.js is being run again
    $localStorage.set('history', '');
    var localCheck = $localStorage.get("fav_not_set", true);
    var img_bg = $('#img_bg');
    //alert($('#img_bg').attr('id'))

    img_bg.bind('load', function() {
      //document.getElementById("custom-overlay").style.display = "block";
      
      var delayForCSSToApply = 1000; // text fix on the splash screen
      setTimeout(function() {
        $('#custom-overlay').css('display', 'flex'); // show now the splashscreen
        setTimeout(function () {
          job();
        }, 200000 );
      }, delayForCSSToApply);
    });

    var job = function(){
       if ($rootScope.notificationRedirection) {
        // prevent execution of the following code
        return;
      }

      $rootScope.do_splash = true;
      // console.log('$localStorage.get("fav_not_set",true)', $localStorage.get("fav_not_set", true));
      // if (localCheck == true) {
      //   $state.go('select-favoris');
      // } else {
      //   $state.go('app.menu.home');
      // }

      /**switch to tutorial**/
      //check if tutorial ui been already seen
      if (localStorage['tutorialSeen'] == "true") {

        document.addEventListener('onAdLoaded', function (e) {
          // show the interstitial ad
          AdMob.showInterstitial();
        });


        // display smart banner at bottom center, using the default options
        if (AdMob) AdMob.createBanner({
          adId: admobid.Banner,
          position: AdMob.AD_POSITION.BOTTOM_CENTER,
          isTesting: true,
          autoShow: true
        });

        $state.go('app.menu.home');
      }
      else {
        //go to tutorial
        $state.go('tutorial');
      }

    };
  });
});