angular.module('starter')

.controller('DirectAllCtrl', function($scope, $rootScope, $http, $window, $LoadingSpinner, $state, $PrintAlert, $timeout, $cordovaGoogleAnalytics) {

	//Init data
	$scope.data = {
		todayMatchsLive: []
	  }

	//go to specific journey => could be done using routes => statsparam but needs a bit of time for adapting journees navigation
	$scope.GotoJourney = function(match){
		//check match's type
		if(match.type != 'BOTOLA') {
			$rootScope.match = match;
			$state.go('app.match-detail.composition', {id: $rootScope.match.id});
		  }
		  else{
			//this is a BOTOLA match => needs a journey redirection
			$rootScope.CurrentJourney = match.journee;
			$state.go('app.menu.journee');
		  }
	  }
	  
	//go to match detail
	$scope.MatchDetail = function(item){
	//Mark Home as source link
	localStorage['LinkDSource'] = 1;
	$rootScope.match = item;
	$rootScope.FilesPath = $scope.data.FilesPath;
	$state.go('app.match-detail.infos', {id: $rootScope.match.id});
	}

	$rootScope._InitLiveAll = function(passthrough){ //passthrough = false not supported
	//check if there are some live matchs
	if($state.current.url == '/direct-all' && ($scope.data.todayMatchsLive.length > 0 || passthrough) ){
		//Get Available Lives
		$scope.data = {};
		$LoadingSpinner.Show();
		//$rootScope.CheckGanal( function(){$cordovaGoogleAnalytics.trackView('Live')} );
			var req = {
				method: "GET",
				url: $rootScope.HOST+"ALaUne/",
				params: {resolution: $window.innerWidth},
			};
		$http(req).then(function(res){
				$scope.data = res.data;
				console.log(res.data);
				//broadcast refresh end
				$scope.$broadcast('scroll.refreshComplete');
				//hide spinner
				$LoadingSpinner.Hide();
				// firebase stats
				if(window.FirebasePlugin) window.FirebasePlugin.setScreenName("Live");

			},
			function(error){
				console.log("Error Occured: "+error);
				//broadcast refresh end
				$scope.$broadcast('scroll.refreshComplete');
				//hide spinner
				$LoadingSpinner.Hide();
			});
		}
	}

	$scope.GoLive = function(item, live_id) {
	    //Mark Home as source link
	    localStorage['LinkDSource'] = 1;
	    if (item.live_id) {
	      $rootScope.item = item;
	      $rootScope.live_id = live_id;
	      $state.go('app.direct');
	    } else {
	      $rootScope.match = item;
	      $rootScope.FilesPath = $scope.data.FilesPath;
	      $state.go('app.match-detail.infos', {id: $rootScope.match.id});
	    }
	}

	$scope._InitLiveAll(true);

	//start setInterval timer
	if(!$rootScope.IntervalDirect) {
		setInterval($rootScope._InitLiveAll, 60000);
		$rootScope.IntervalDirect = true;
	 }

  	$scope.$on("$ionicView.enter", function(){
	 	 //Edit status bar color
		//if(window.StatusBar) window.StatusBar.backgroundColorByHexString('#c5d506');
		// locOrientation = screen.lockOrientation || screen.mozLockOrientation || screen.msLockOrientation || screen.orientation.lock;
    	// locOrientation('portrait');
				
	});

 })
;
