angular.module('starter')

.controller('EmissionCtrl', function($scope, $rootScope, $window, $http, $LoadingSpinner, $state, $PrintAlert, $cordovaGoogleAnalytics, $stateParams, $timeout, $ionicPopup) {

  $rootScope._InitEmissions = function() {
    // console.log('$stateParams',$stateParams);
    $scope.data = {};
    $LoadingSpinner.Show();
    //$rootScope.CheckGanal(function() { $cordovaGoogleAnalytics.trackView('Programmes') });
    var req = {
      method: "GET",
      url: $rootScope.HOST + "Emissions/index.php",
      params: { action: 'new', resolution: $window.innerWidth},
    };
    $http(req).then(function(res) {
        console.log('res', res);
        $scope.data = res.data;
        //broadcast refresh end
				$scope.$broadcast('scroll.refreshComplete');
				//hide spinner
				$LoadingSpinner.Hide();
        // firebase stats
        if(window.FirebasePlugin){
          window.FirebasePlugin.setScreenName("Emissions");
          window.FirebasePlugin.logEvent("emission_view", {content_type: "page_view", emission_id: $rootScope.item.id});
        }  
      },
      function(error) {
        console.log("Error Occured: " + error);
        //broadcast refresh end
				$scope.$broadcast('scroll.refreshComplete');
				//hide spinner
				$LoadingSpinner.Hide();
      });
  }

  $scope.Detail = function(item) {
    item.type = 2;
    $rootScope.item = item;
    // $state.go('app.media-detail');

    $PrintAlert.Show( "Platform " + $rootScope.devicePlatform);
    $rootScope.playOnYoutube(item.video_id);
    if(window.FirebasePlugin)
      window.FirebasePlugin.logEvent("emission_video_view", {content_type: "page_view", vieo_id: item.video_id});
  }

  $rootScope._InitEmissions();

  $scope.$on("$ionicView.enter", function() {
    //Edit status bar color
    //if (window.StatusBar) window.StatusBar.backgroundColorByHexString('#e06404');
  });

});
