angular.module('starter')

.controller('MatchDetailCtrl', function($scope, $rootScope, $window, $http, $LoadingSpinner, $state, $PrintAlert, $stateParams) {
    $scope.$on('$ionicView.beforeEnter', function (event, viewData) {
		// register back view
		$rootScope.history.add($rootScope.$previousState, $state.current);
		viewData.enableBack = true;
		if($stateParams.id != null) {
			$scope.match = {};
			$LoadingSpinner.Show();
			var req = {
				method: "GET",
				url: $rootScope.HOST+"Matches/get_one.php?lang=" + $rootScope.current_lang,
				params: {id: $stateParams.id},
			};
			$http(req).then(function(res){
				
				$scope.match = res.data.match;
				$rootScope.match = res.data.match;
				$scope.FilesPath = res.data.FilesPath;
				$LoadingSpinner.Hide();
			}, 
			function(error){
				console.log("Error Occured: "+error);
				$LoadingSpinner.Hide();
			});
		}
		
	});

	//  $scope.$on('$ionicView.afterLeave', function() {
	//  	console.log('After Leave LinkSource');
	// 	localStorage['LinkSource'] = null;
	// });

	$scope.GoLive = function(item) {
		//Mark Home as source link
		localStorage['LinkSource'] = 1;
		  $rootScope.item = item;
		  $rootScope.live_id = item.live_id;
		  
		  //Start StreamingMediaIMA
		  window.StreamingMediaIMA.playVideo(item.url, {
			adTagUrl: admobid.Vast+item.label
		  });

		//   $state.go('app.direct');

	  }

});
