angular.module('starter')

.controller('MatchInfosCtrl', function($scope, $rootScope, $state, $window, $http, $LoadingSpinner, $state, $PrintAlert, $stateParams) {
	
	//Init data
	$scope.match = {status: "Live"};

	$rootScope._InitMatchDetail = function(passthrough){ //passthrough = false not supported
		
		// // preppare and load ad resource in background, e.g. at begining of game level
		// window.AdMob.prepareInterstitial({ adId: admobid.Interstitial, autoShow: true, isTesting: true });
		
		//check if current url equals /infos => timeout issue + match status is live
		if($state.current.url == '/infos' && ($scope.match.status == 'Live' || passthrough)){
			console.log('_InitMatchDetail');
			$scope.data = {};
			  $LoadingSpinner.Show();
				var req = {
					method: "GET",
					url: $rootScope.HOST+"Matches/get_one.php?lang=" + $rootScope.current_lang,
					params: {id: $stateParams.id},
				};
				$http(req).then(function(res){
					$scope.match = res.data.match;
					$scope.data.events = res.data.events;
					$LoadingSpinner.Hide();
				}, 
				function(error){
					console.log("Error Occured: "+error);
					$LoadingSpinner.Hide();
				});
		}
	  }
	  
	$scope.$on('$ionicView.beforeEnter',  function (event, viewData) {
		$rootScope.history.add($rootScope.$previousState, $state.current);
	   	viewData.enableBack = true;
	});

	$rootScope._InitMatchDetail(true);

	//start setInterval timer
	if(!$rootScope.IntervalMatchDetail) {
		 setInterval($rootScope._InitMatchDetail, 60000);
		 $rootScope.IntervalMatchDetail = true;
	}

	$scope.GoCalendar = function(){
	  	console.log('GoCalendar');
		$state.go('app.menu.results.journee');
	}

});
