angular.module('starter')

.controller('MatchVideosCtrl', function($scope, $rootScope, $state, $window, $localStorage, $http, $LoadingSpinner, $state, $PrintAlert, $timeout, $stateParams) {
    	
	$scope.fetched = false;

	 $rootScope._InitMatchVideos = function(){
		  $scope.data = {};
		  $LoadingSpinner.Show();
			var req = {
				method: "GET",
				url: $rootScope.HOST+"MatchVideos/",
				params: {id: $stateParams.id},
			};
			$http(req).then(function(res){
				$scope.data = res.data;
				console.log(res.data);
				$LoadingSpinner.Hide();
				$scope.fetched = true;
				// firebase stats
				if(window.FirebasePlugin)
    					window.FirebasePlugin.setScreenName("Match_Videos");
			}, 
			function(error){
				$scope.fetched = true;
				console.log("Error Occured: "+error);
				$LoadingSpinner.Hide();
			});
	  }
	  
	  $scope.Detail = function(item){
		//item.type = 3;

		// YoutubeVideoPlayer.openVideo(item.video_id, function(event){
		// 	if(event == 'error'){
		// 	      var alertPopup = $ionicPopup.alert({
		// 	          title: '',
		// 	          template: 'Erreur lors de la lecture de la vidéo'
		// 	        });
		// 	      alertPopup.then(function(res) {
		// 	          console.log('Thank you for not eating my delicious ice cream cone');
		// 	        });
		// 	}
		// });
		// $rootScope.item = item;  
		// $state.go('app.media-detail');
		$rootScope.playOnYoutube(item.video_id);
	  }
	  
	  $scope.$on('$ionicView.beforeEnter',  function (event, viewData) {
		$rootScope.history.add($rootScope.$previousState, $state.current);
	  	viewData.enableBack = true;

	  	$rootScope._InitMatchVideos();
	  });

	  $scope.GoCalendar = function(){
		$state.go('app.menu.results.journee');
	  }

	  // $ionicPlatform.registerBackButtonAction(function (event) {
	 	// 	//navigator.app.backHistory();
	 	// 	$state.go('app.menu.results.journee');
	  // }, 100);

});
