angular.module('starter')

  .controller('ProgramsCtrl', function ($scope, $rootScope, $window, $http, $LoadingSpinner, $state, $PrintAlert, $cordovaGoogleAnalytics, $stateParams, $timeout) {

    //Init data
    $scope.data = { emissions: [] };

    //Init offset & limit
    $scope.nextSlotId = 1;
    $scope.offset_videos = 0;
    $scope.limit = 4;

    generateNextSlotName = function () {
      var id = $scope.nextSlotId++;
      return 'Videos-adslot' + id;
    }

    function insertAfter(el, referenceNode) {
      referenceNode.parentNode.insertBefore(el, referenceNode.nextSibling);
    }

    $rootScope._InitEmissions = function () {
      $scope.See_More_Videos($scope.offset_videos, 4);
    }

    $scope.Detail = function (item) {
      item.type = 2;
      $rootScope.item = item;
      // $state.go('app.media-detail');
      $rootScope.playOnYoutube(item.video_id);
    }

    /*$scope.ShowArchive = function() {
      $state.go('app.menu.archive');
      //alert('ShowArchive');
    }*/

    // $scope.$on("$ionicView.enter", function() {
    //Edit status bar color
    //if (window.StatusBar) window.StatusBar.backgroundColorByHexString('#e06404');
    // });

    //load more videos
    $scope.See_More_Videos = function (offset, limit) {
      // $LoadingSpinner.Show();
      var req = {
        method: "GET",
        url: $rootScope.HOST + "ALaUne/LoadMoreVideos.php",
        params: { offset: offset, limit: limit },
      };
      $http(req).then(function (res) {
        // console.log(res);
        if (res.data) {
          // console.log($scope.data.emissions);
          if (res.data.videos.length > 0) {
            $scope.data.emissions = $scope.data.emissions.concat(res.data.videos);

            //Check if this is not the first request
            if (offset > 3 && offset < 9) {
              //We can init infinit scroll ad
              // Generate next slot name
              var slotName = generateNextSlotName();

              // Create a div for the slot
              var slotDiv = document.createElement('div');
              slotDiv.id = slotName; // Id must be the same as slotName

              //Get last article element
              var someElementsItems = document.querySelectorAll(".videos .cmp-5");

              insertAfter(slotDiv, someElementsItems[someElementsItems.length - 1]);

              if (offset < 8) adtag = '/21671680130/BOTOLA/BOTOLA_App_Pave_Innread_Video2';
              else adtag = '/21671680130/BOTOLA/BOTOLA_App_Pave_Innread_Video3';

              //Push ad
              window['googletag'].cmd.push(function () {
                var slot = window['googletag'].defineSlot(adtag, [[300, 250], [336, 280], [320, 100]], slotName).
                  setTargeting("test", "infinitescroll").
                  addService(window['googletag'].pubads());

                // Display has to be called before
                // refresh and after the slot div is in the page.
                window['googletag'].display(slotName);
                window['googletag'].pubads().refresh([slot]);
              });
            }

            //increase offset
            $scope.offset_videos = $scope.offset_videos + res.data.videos.length;
          }
          else $scope.HideSpinner = true;

        }

        //broadcast refresh end
        $scope.$broadcast('scroll.refreshComplete');
        $scope.$broadcast('scroll.infiniteScrollComplete');
        //hide spinner
        // $LoadingSpinner.Hide();

      },
        function (error) {
          console.log("Error Occured: ");
          console.log(error);
          //broadcast refresh end
          $scope.$broadcast('scroll.refreshComplete');
          $scope.$broadcast('scroll.infiniteScrollComplete');
          //hide spinner
          // $LoadingSpinner.Hide();
        });
    }

    $scope.InitVideosAds = function () {
      //check if home tags are already displayed
      if (window['videos_tags']) window['googletag'].pubads().refresh([window['gptAdSlots'][3]]);
      else {
        window['videos_tags'] = true;
        window['googletag'].cmd.push(function () {
          window['googletag'].display('div-gpt-ad-1515432416448-3');
          window['googletag'].pubads().refresh([window['gptAdSlots'][3]]);
        });
      }
    }

    $scope.InitNativeAds = function () {
      $timeout(function () {
        if (typeof admob != "undefined") {
          console.log(admob);
          console.log('Admob is ready!');
          $scope.StartNativeAds();
        }
        else {
          // console.log('Wait for another 1s');
          $scope.InitNativeAds();
        }
      }, 1000);
    }


    $scope.StartNativeAds = function () {
      // display smart banner at bottom center, using the default options
      //Clear old banner if any
      admob.banner.remove()
      //Config banner id
      admob.banner.config({
        id: admobid.videosBanner,
      });
      // Create banner
      admob.banner.prepare();
      // Show the banner
      admob.banner.show();
    }

    $scope.InitNativeAds();
    $scope.InitVideosAds();

  });
