angular.module('starter')

.controller('SearchCtrl', function($scope, $rootScope, $http, $LoadingSpinner, $state, $cordovaGoogleAnalytics) {

  $rootScope._InitSearch = function(keyword) {
    //$rootScope.CheckGanal(function() { $cordovaGoogleAnalytics.trackView('Search') });
    if ($scope.keyword) {
      // search fix (any spaces at end of a string might alter the search query)
      $scope.keyword = $scope.keyword.trim();

      //fix input reload value issue
      $("#Sinput").val($scope.keyword);

      // $LoadingSpinner.Show();
      $scope.divLoad=true;
      var req = {
        method: "GET",
        url: $rootScope.HOST + "Search/",
        params: { keyword: $scope.keyword }
      };
      $http(req).then(function(res) {
        console.log('res',res);
        
        if($scope.keyword != '' && $scope.keyword != undefined) {
          $scope.data = res.data;
          $scope.divLoad=false;
          // $rootScope.keyword = "";
        }
        else $scope.divLoad=true;
        //$LoadingSpinner.Hide();

        // firebase stats
        if(window.FirebasePlugin)
            window.FirebasePlugin.setScreenName("Recherche");
      },
      function(error) {
        console.log("Error Occured: " + error);
        // $LoadingSpinner.Hide();
        $scope.divLoad=false;
      });
    }
  }

  $scope.$on('$ionicView.beforeLeave',  function (event, viewData) {
    // Clear search input
    $scope.keyword = "";
    $rootScope.keyword = "";

  });

  $scope.$on('$ionicView.beforeEnter',  function (event, viewData) {
    // register back view
    $rootScope.history.add($rootScope.$previousState, $state.current);
    viewData.enableBack = true;
    // locOrientation = screen.lockOrientation || screen.mozLockOrientation || screen.msLockOrientation || screen.orientation.lock;
    // locOrientation('portrait');
  });

  $scope.$on('$ionicView.afterEnter', function() {
    if(typeof $rootScope.keyword != 'undefined') {
      $scope.keyword = $rootScope.keyword;
      $rootScope._InitSearch();
    }
  });

  $scope.Detail = function(item) {
    $rootScope.item = item;
    $state.go('app.media-detail', { id: $rootScope.item.id, type: $rootScope.item.type, program: $rootScope.item.program_id, match: $rootScope.item.match_id});
  }

  $scope.Search = function(keyword) {
     $scope.keyword = keyword;
    
    // if(keyword == '' || keyword == undefined) $scope.data.medias = [];
    // else {
      $scope.divLoad=true;
      $rootScope._InitSearch();
    // }
  }


});
