angular.module('starter')

.controller('YoutubeVideoPlayerCtrl', function($scope, $state, $rootScope, $PrintAlert, $http, $window, $LoadingSpinner, $stateParams, $PrintAlert, $UserAuth, $cordovaSQLite, $cordovaFileTransfer, $cordovaGoogleAnalytics, $sce, $timeout, $ionicModal, $ionicSlideBoxDelegate, $cordovaSocialSharing) {
	$scope.$on("$ionicView.beforeEnter", function(event, viewData) {
    // register back view
    $rootScope.history.add($rootScope.$previousState, $state.current);

    viewData.enableBack = true;

	});
  
  // This code loads the IFrame Player API code asynchronously.
  //var tag = document.createElement('script');

  /*tag.src = "https://www.youtube.com/iframe_api";
  var firstScriptTag = document.getElementsByTagName('script')[0];
  firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);*/

  // This function creates an <iframe> (and YouTube player)
  // after the API code downloads.   

  $scope.$on('$ionicView.afterEnter', function() {
      if( screen.orientation.type.startsWith('landscape')){
            window.StatusBar.hide();
           $('#youtube-view').removeClass('has-header');
           $('#main_tab').hide();
      }


      //window.onYouTubeIframeAPIReady = function() {
      $rootScope.player = new YT.Player('player', {
        height: '180',
        width: '180',
        videoId : $rootScope.currentYoutubeVideo,
        events: {
          'onReady': onPlayerReady,
          //'onStateChange': onPlayerStateChange
        },
        playerVars: {'showinfo': 0, 'playsinline': 1, 'autohide': 1,'controls': 2, 'disablekb': 1, 'enablejsapi': 1, 'fs': 0, 'modestbranding': true, 'rel': 0}
      });
        //}
        
      // The API will call this function when the video player is ready.
      function onPlayerReady(event) {
        //$rootScope.player.cueVideoById($rootScope.currentYoutubeVideo, 0);
        //alert(ionic.Platform.version())
        event.target.playVideo();
      }

      //$scope.youtubeLink = 'http://www.youtube.com/embed/' + $rootScope.currentYoutubeVideo+ '?rel=0&autoplay=1&controls=0&showinfo=0&modestbranding=1';
  });   

  $scope.$on('$ionicView.beforeLeave', function (event, viewData) {
      if(YT.PlayerState.PLAYING ){
        $rootScope.player.stopVideo();
      }
  });

});
